Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP_IORA.cpp File Reference

`#include "IOP_IORC.h"`
`#include "IOP_IORA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for IOP_IORA.cpp:

## Namespaces
namespace | IOP
## Functions
CORBA::TypeCode | _tc_TAO_tc_IOP_ProfileId (CORBA::tk_alias, sizeof(_oc_IOP_ProfileId),(char *)&_oc_IOP_ProfileId, 0, sizeof(IOP::ProfileId))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedProfile (CORBA::tk_struct, sizeof(_oc_IOP_TaggedProfile),(char *)&_oc_IOP_TaggedProfile, 0, sizeof(IOP::TaggedProfile))
CORBA::TypeCode | _tc_TAO_tc_IOP_IOR (CORBA::tk_struct, sizeof(_oc_IOP_IOR),(char *)&_oc_IOP_IOR, 0, sizeof(IOP::IOR))
CORBA::TypeCode | _tc_TAO_tc_IOP_ComponentId (CORBA::tk_alias, sizeof(_oc_IOP_ComponentId),(char *)&_oc_IOP_ComponentId, 0, sizeof(IOP::ComponentId))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponent (CORBA::tk_struct, sizeof(_oc_IOP_TaggedComponent),(char *)&_oc_IOP_TaggedComponent, 0, sizeof(IOP::TaggedComponent))
CORBA::TypeCode | _tc_TAO_tc_IOP_MultipleComponentProfile (CORBA::tk_alias, sizeof(_oc_IOP_MultipleComponentProfile),(char *)&_oc_IOP_MultipleComponentProfile, 0, sizeof(IOP::MultipleComponentProfile))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponentList (CORBA::tk_alias, sizeof(_oc_IOP_TaggedComponentList),(char *)&_oc_IOP_TaggedComponentList, 0, sizeof(IOP::TaggedComponentList))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponentSeq (CORBA::tk_alias, sizeof(_oc_IOP_TaggedComponentSeq),(char *)&_oc_IOP_TaggedComponentSeq, 0, sizeof(IOP::TaggedComponentSeq))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceId (CORBA::tk_alias, sizeof(_oc_IOP_ServiceId),(char *)&_oc_IOP_ServiceId, 0, sizeof(IOP::ServiceId))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceContext (CORBA::tk_struct, sizeof(_oc_IOP_ServiceContext),(char *)&_oc_IOP_ServiceContext, 0, sizeof(IOP::ServiceContext))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceContextList (CORBA::tk_alias, sizeof(_oc_IOP_ServiceContextList),(char *)&_oc_IOP_ServiceContextList, 0, sizeof(IOP::ServiceContextList))
void | operator<<= (CORBA::Any &_tao_any, const IOP::TaggedProfile &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::TaggedProfile *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::TaggedProfile *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::TaggedProfile *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::IOR &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::IOR *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::IOR *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::IOR *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::TaggedComponent &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::TaggedComponent *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::TaggedComponent *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::TaggedComponent *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::MultipleComponentProfile &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::MultipleComponentProfile *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::MultipleComponentProfile *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::MultipleComponentProfile *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::TaggedComponentList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::TaggedComponentList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::TaggedComponentList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::TaggedComponentList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::TaggedComponentSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::TaggedComponentSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::TaggedComponentSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::TaggedComponentSeq *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::ServiceContext &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::ServiceContext *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::ServiceContext *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::ServiceContext *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::ServiceContextList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::ServiceContextList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::ServiceContextList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::ServiceContextList *&_tao_elem)
## Variables
const CORBA::Long | _oc_IOP_ProfileId []
const CORBA::Long | _oc_IOP_TaggedProfile []
const CORBA::Long | _oc_IOP_IOR []
const CORBA::Long | _oc_IOP_ComponentId []
const CORBA::Long | _oc_IOP_TaggedComponent []
const CORBA::Long | _oc_IOP_MultipleComponentProfile []
const CORBA::Long | _oc_IOP_TaggedComponentList []
const CORBA::Long | _oc_IOP_TaggedComponentSeq []
const CORBA::Long | _oc_IOP_ServiceId []
const CORBA::Long | _oc_IOP_ServiceContext []
const CORBA::Long | _oc_IOP_ServiceContextList []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_IOP_ComponentId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ComponentId) | ,
|  | (char *)& | _oc_IOP_ComponentId,
|  | 0 | ,
|  | sizeof(IOP::ComponentId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_IOR | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_IOR) | ,
|  | (char *)& | _oc_IOP_IOR,
|  | 0 | ,
|  | sizeof(IOP::IOR) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_MultipleComponentProfile | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_MultipleComponentProfile) | ,
|  | (char *)& | _oc_IOP_MultipleComponentProfile,
|  | 0 | ,
|  | sizeof(IOP::MultipleComponentProfile) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ProfileId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ProfileId) | ,
|  | (char *)& | _oc_IOP_ProfileId,
|  | 0 | ,
|  | sizeof(IOP::ProfileId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContext | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_ServiceContext) | ,
|  | (char *)& | _oc_IOP_ServiceContext,
|  | 0 | ,
|  | sizeof(IOP::ServiceContext) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContextList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ServiceContextList) | ,
|  | (char *)& | _oc_IOP_ServiceContextList,
|  | 0 | ,
|  | sizeof(IOP::ServiceContextList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ServiceId) | ,
|  | (char *)& | _oc_IOP_ServiceId,
|  | 0 | ,
|  | sizeof(IOP::ServiceId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponent | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_TaggedComponent) | ,
|  | (char *)& | _oc_IOP_TaggedComponent,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponent) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponentList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_TaggedComponentList) | ,
|  | (char *)& | _oc_IOP_TaggedComponentList,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponentList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponentSeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_TaggedComponentSeq) | ,
|  | (char *)& | _oc_IOP_TaggedComponentSeq,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponentSeq) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedProfile | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_TaggedProfile) | ,
|  | (char *)& | _oc_IOP_TaggedProfile,
|  | 0 | ,
|  | sizeof(IOP::TaggedProfile) |
| ) | `[static]`

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::ServiceContextList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::ServiceContextList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::ServiceContext * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::ServiceContext & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::TaggedComponentSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponentSeq & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::TaggedComponentList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponentList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::MultipleComponentProfile * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::MultipleComponentProfile & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::TaggedComponent * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponent & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::IOR * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::IOR & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::TaggedProfile * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::TaggedProfile & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::ServiceContextList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::ServiceContextList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::ServiceContext *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::ServiceContext *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponentSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::TaggedComponentSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponentList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::TaggedComponentList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::MultipleComponentProfile *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::MultipleComponentProfile *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponent *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::TaggedComponent *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::IOR *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::IOR *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::TaggedProfile *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::TaggedProfile *& | _tao_elem
| ) |

## Variable Documentation

const CORBA::Long _oc_IOP_ComponentId[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      32,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6d70),
      ACE_NTOHL (0x6f6e656e),
      ACE_NTOHL (0x7449643a),
      ACE_NTOHL (0x312e3000),
        12,
      ACE_NTOHL (0x436f6d70),
      ACE_NTOHL (0x6f6e656e),
      ACE_NTOHL (0x74496400),
        CORBA::tk_ulong,

    }

const CORBA::Long _oc_IOP_IOR[]`[static]`

const CORBA::Long _oc_IOP_MultipleComponentProfile[]`[static]`

const CORBA::Long _oc_IOP_ProfileId[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      30,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x50726f66),
      ACE_NTOHL (0x696c6549),
      ACE_NTOHL (0x643a312e),
      ACE_NTOHL (0x30000000),
        10,
      ACE_NTOHL (0x50726f66),
      ACE_NTOHL (0x696c6549),
      ACE_NTOHL (0x64000000),
        CORBA::tk_ulong,

    }

const CORBA::Long _oc_IOP_ServiceContext[]`[static]`

const CORBA::Long _oc_IOP_ServiceContextList[]`[static]`

const CORBA::Long _oc_IOP_ServiceId[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      30,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x69636549),
      ACE_NTOHL (0x643a312e),
      ACE_NTOHL (0x30000000),
        10,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x69636549),
      ACE_NTOHL (0x64000000),
        CORBA::tk_ulong,

    }

const CORBA::Long _oc_IOP_TaggedComponent[]`[static]`

const CORBA::Long _oc_IOP_TaggedComponentList[]`[static]`

const CORBA::Long _oc_IOP_TaggedComponentSeq[]`[static]`

const CORBA::Long _oc_IOP_TaggedProfile[]`[static]`